Requisitos de compatibilidad de módulos Simple para Vtiger

En este artículo te explicaremos la manera en la que puedes corroborar que tu servidor de Vtiger cumple con los requisitos técnicos para que cualquier módulo de Simple funcione correctamente.

 

Requerimientos técnicos de compatibilidad 

Requerimientos técnicos del servidor de Vtiger:

  • PHP 5.6 o 7.0
  • IonCube Loader
  • Servidor Linux o Windows con conexión a Internet.
  • El servidor debe poder conectarse vía https (puerto 443) a otros servidores.
  • Módulos de PHP: curl, libxml, json, mbstring, gd, SimpleXml, xml. Normalmente estos módulos vienen instalados por default. 

Configuración de variables de PHP en php.ini

  • allow_url_fopen = On
  • max_execution_time = 90 (o mayor)
  • default_socket_timeout = 60 (o mayor)

 

Corroborar la compatibilidad del sistema 

 

Para corroborar que tengas instalados los dos elementos, puedes ejecutar un script.

  • Debes generar un archivo phpinfo.php que contenga las 2 líneas siguientes dentro de la carpeta donde se encuentra la instalación de Vtiger en tu Cpanel (Probablemente la carpeta tiene el nombre default vtigercrm)

crear un nuevo archivo en la carpeta de vtiger dentro de cpanel

<?php
phpinfo();

 

  • Ejecutar desde un navegador urldeaccesoavtiger/phpinfo.php ; visualizarás una página similar a ésta en donde se desplegará la versión de PHP.
  • Para corroborar que tengas instalado IonCube debes buscar en la información desplegada, o con ayuda de la combinación de teclas Control+F , la palabra y averiguar si la página tiene información sobre IonCube .

ejecutar archivo php para verificar versión de php e instalación de ioncube

Cambio de versión PHP

 

 Si tienes una versión diferente de PHP 5.6 o 7.0, puedes cambiar la versión en tu servidor. El siguiente ejemplo lo hicimos en un servidor con cPanel y que cuenta con la herramienta de "PHP Version Manager".
Dependiendo de dónde se encuentre hospedado tu Vtiger, los pasos que a continuación se presentan pueden variar.

  • Ingresa a la herramienta PHP Version Manager

acceso a heramienta php version manager dentro de cpanel

  • Elige la carpeta donde está instalado Vtiger, aparecerán las opciones, selecciona la versión recomendada y guarda.

cambio de version a carpeta vtiger en cpanel con la herramienta php version manager

  • Actualiza la dirección urldeaccesoavtiger/phpinfo.php  para verificar el cambio de versión de PHP.

 

 Por seguridad, borra el archivo que creaste, da clic derecho y selecciona la opción Delete

 

Instalación de IonCube

 

Si IonCube no está instalado:

 Si no cumples ambos requisitos, la instalación tendrá errores y no podrás utilizar el módulo.

¿Te gustaría tener una capacitación personalizada?

Ver más en Capacitación Vtiger   

Ponte en contacto con nosotros vía formulario de contacto Simple, con gusto te atenderemos.